/**
 * 应用样式
 */
export default function(viewType, chartConfig) {
    try {
        let o;
        switch(viewType) {
            case 'bar': {
                // o = barStyle(chartConfig);
                break;
            }
            case 'pie': {
                // o = pieStyle(chartConfig);
                break;
            }
            case 'line': {
                // o = lineStyle(chartConfig);
                break;
            }
            case 'scatter': {
                // o = scatterStyle(chartConfig);
                break;
            }
            case 'aggregateTable': {
                // o = aggregateTableStyle(chartConfig);
                break;
            }case 'dataView' : {
                o = dataViewStyle(chartConfig);
                break;
            }
            default:{
                o = {};
                break;
            }
        }
        return o;
    }catch(e) {
        console.error(e);
    }
}

function dataViewStyle(config) {
    return config;
}